# -*- encoding: utf-8 -*-
# stub: pdf-reader 1.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "pdf-reader"
  s.version = "1.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["James Healy"]
  s.date = "2016-03-01"
  s.description = "The PDF::Reader library implements a PDF parser conforming as much as possible to the PDF specification from Adobe"
  s.email = ["jimmy@deefa.com"]
  s.executables = ["pdf_callbacks", "pdf_list_callbacks", "pdf_object", "pdf_text"]
  s.extra_rdoc_files = ["CHANGELOG", "MIT-LICENSE", "README.rdoc", "TODO"]
  s.files = ["CHANGELOG", "MIT-LICENSE", "README.rdoc", "Rakefile", "TODO", "bin/pdf_callbacks", "bin/pdf_list_callbacks", "bin/pdf_object", "bin/pdf_text", "examples/callbacks.rb", "examples/extract_bates.rb", "examples/extract_fonts.rb", "examples/extract_images.rb", "examples/hash.rb", "examples/metadata.rb", "examples/page_count.rb", "examples/rspec.rb", "examples/text.rb", "examples/version.rb", "lib/pdf", "lib/pdf-reader.rb", "lib/pdf/hash.rb", "lib/pdf/reader", "lib/pdf/reader.rb", "lib/pdf/reader/abstract_strategy.rb", "lib/pdf/reader/afm", "lib/pdf/reader/afm/Courier-Bold.afm", "lib/pdf/reader/afm/Courier-BoldOblique.afm", "lib/pdf/reader/afm/Courier-Oblique.afm", "lib/pdf/reader/afm/Courier.afm", "lib/pdf/reader/afm/Helvetica-Bold.afm", "lib/pdf/reader/afm/Helvetica-BoldOblique.afm", "lib/pdf/reader/afm/Helvetica-Oblique.afm", "lib/pdf/reader/afm/Helvetica.afm", "lib/pdf/reader/afm/Symbol.afm", "lib/pdf/reader/afm/Times-Bold.afm", "lib/pdf/reader/afm/Times-BoldItalic.afm", "lib/pdf/reader/afm/Times-Italic.afm", "lib/pdf/reader/afm/Times-Roman.afm", "lib/pdf/reader/afm/ZapfDingbats.afm", "lib/pdf/reader/buffer.rb", "lib/pdf/reader/cid_widths.rb", "lib/pdf/reader/cmap.rb", "lib/pdf/reader/encoding.rb", "lib/pdf/reader/encodings", "lib/pdf/reader/encodings/mac_expert.txt", "lib/pdf/reader/encodings/mac_roman.txt", "lib/pdf/reader/encodings/pdf_doc.txt", "lib/pdf/reader/encodings/standard.txt", "lib/pdf/reader/encodings/symbol.txt", "lib/pdf/reader/encodings/win_ansi.txt", "lib/pdf/reader/encodings/zapf_dingbats.txt", "lib/pdf/reader/error.rb", "lib/pdf/reader/filter", "lib/pdf/reader/filter.rb", "lib/pdf/reader/filter/ascii85.rb", "lib/pdf/reader/filter/ascii_hex.rb", "lib/pdf/reader/filter/depredict.rb", "lib/pdf/reader/filter/flate.rb", "lib/pdf/reader/filter/lzw.rb", "lib/pdf/reader/filter/null.rb", "lib/pdf/reader/filter/run_length.rb", "lib/pdf/reader/font.rb", "lib/pdf/reader/font_descriptor.rb", "lib/pdf/reader/form_xobject.rb", "lib/pdf/reader/glyph_hash.rb", "lib/pdf/reader/glyphlist.txt", "lib/pdf/reader/lzw.rb", "lib/pdf/reader/metadata_strategy.rb", "lib/pdf/reader/object_cache.rb", "lib/pdf/reader/object_hash.rb", "lib/pdf/reader/object_stream.rb", "lib/pdf/reader/orientation_detector.rb", "lib/pdf/reader/page.rb", "lib/pdf/reader/page_layout.rb", "lib/pdf/reader/page_state.rb", "lib/pdf/reader/page_text_receiver.rb", "lib/pdf/reader/pages_strategy.rb", "lib/pdf/reader/parser.rb", "lib/pdf/reader/print_receiver.rb", "lib/pdf/reader/reference.rb", "lib/pdf/reader/register_receiver.rb", "lib/pdf/reader/resource_methods.rb", "lib/pdf/reader/standard_security_handler.rb", "lib/pdf/reader/stream.rb", "lib/pdf/reader/synchronized_cache.rb", "lib/pdf/reader/text_receiver.rb", "lib/pdf/reader/text_run.rb", "lib/pdf/reader/token.rb", "lib/pdf/reader/transformation_matrix.rb", "lib/pdf/reader/width_calculator", "lib/pdf/reader/width_calculator.rb", "lib/pdf/reader/width_calculator/built_in.rb", "lib/pdf/reader/width_calculator/composite.rb", "lib/pdf/reader/width_calculator/true_type.rb", "lib/pdf/reader/width_calculator/type_one_or_three.rb", "lib/pdf/reader/width_calculator/type_zero.rb", "lib/pdf/reader/xref.rb"]
  s.homepage = "http://github.com/yob/pdf-reader"
  s.licenses = ["MIT"]
  s.post_install_message = "\n  ********************************************\n\n  v1.0.0 of PDF::Reader introduced a new page-based API. There are extensive\n  examples showing how to use it in the README and examples directory.\n\n  For detailed documentation, check the rdocs for the PDF::Reader,\n  PDF::Reader::Page and PDF::Reader::ObjectHash classes.\n\n  The old API is marked as deprecated but will continue to work with no\n  visible warnings for now.\n\n  ********************************************\n\n"
  s.rdoc_options = ["--title", "PDF::Reader Documentation", "--main", "README.rdoc", "-q"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.4.5.1"
  s.summary = "A library for accessing the content of PDF files"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.4"])
      s.add_development_dependency(%q<ZenTest>, ["~> 4.4.2"])
      s.add_development_dependency(%q<cane>, ["~> 2.6"])
      s.add_development_dependency(%q<morecane>, [">= 0"])
      s.add_development_dependency(%q<ir_b>, [">= 0"])
      s.add_development_dependency(%q<rdoc>, [">= 0"])
      s.add_runtime_dependency(%q<Ascii85>, ["~> 1.0.0"])
      s.add_runtime_dependency(%q<ruby-rc4>, [">= 0"])
      s.add_runtime_dependency(%q<hashery>, ["~> 2.0"])
      s.add_runtime_dependency(%q<ttfunk>, [">= 0"])
      s.add_runtime_dependency(%q<afm>, ["~> 0.2.1"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 3.4"])
      s.add_dependency(%q<ZenTest>, ["~> 4.4.2"])
      s.add_dependency(%q<cane>, ["~> 2.6"])
      s.add_dependency(%q<morecane>, [">= 0"])
      s.add_dependency(%q<ir_b>, [">= 0"])
      s.add_dependency(%q<rdoc>, [">= 0"])
      s.add_dependency(%q<Ascii85>, ["~> 1.0.0"])
      s.add_dependency(%q<ruby-rc4>, [">= 0"])
      s.add_dependency(%q<hashery>, ["~> 2.0"])
      s.add_dependency(%q<ttfunk>, [">= 0"])
      s.add_dependency(%q<afm>, ["~> 0.2.1"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 3.4"])
    s.add_dependency(%q<ZenTest>, ["~> 4.4.2"])
    s.add_dependency(%q<cane>, ["~> 2.6"])
    s.add_dependency(%q<morecane>, [">= 0"])
    s.add_dependency(%q<ir_b>, [">= 0"])
    s.add_dependency(%q<rdoc>, [">= 0"])
    s.add_dependency(%q<Ascii85>, ["~> 1.0.0"])
    s.add_dependency(%q<ruby-rc4>, [">= 0"])
    s.add_dependency(%q<hashery>, ["~> 2.0"])
    s.add_dependency(%q<ttfunk>, [">= 0"])
    s.add_dependency(%q<afm>, ["~> 0.2.1"])
  end
end
